function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

import * as util from './util';

import { EMPTY } from './constants';

var Board = function () {
  function Board(boardSize) {
    _classCallCheck(this, Board);

    this.data = [];

    this.boardSize = boardSize;
    this.data = util.range(boardSize * boardSize).map(function () {
      return EMPTY;
    });
  }

  Board.prototype.clear = function clear() {
    this.data = this.data.map(function () {
      return EMPTY;
    });
  };

  Board.prototype.setStatus = function setStatus(x, y, status) {
    var boardIndex = this.boardSize * x + y;

    this.data = this.data.map(function (value, i) {
      return i === boardIndex ? status : value;
    });
  };

  Board.prototype.getStatus = function getStatus(x, y) {
    var boardIndex = this.boardSize * x + y;

    return this.data[boardIndex];
  };

  return Board;
}();

export default Board;