

// range creates an array of given size
export var range = function range(size) {
  var start = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 0;
  return Array.from(Array(size), function (_, i) {
    return i + start;
  });
};

// eachBoardCoordinate call's `callback` for each board coordinate
export var eachBoardCoordinate = function eachBoardCoordinate(boardSize, callback) {
  return range(boardSize, 1).forEach(function (x) {
    return range(boardSize, 1).forEach(function (y) {
      return callback(x, y);
    });
  });
};