function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

import * as util from './util';

import { BLACK, WHITE } from './constants';

var rand63 = function rand63() {
  return Math.floor(Math.random() * 9223372036854775807);
};

var Zobrist = function () {
  function Zobrist(tableSize) {
    _classCallCheck(this, Zobrist);

    this.tableSize = tableSize;
    this.table = util.range(tableSize * tableSize).map(function (_) {
      return [rand63(), rand63()];
    });
    this.sum = 0;
  }

  Zobrist.prototype.hash = function hash(x, y, color) {
    var tableIndex = this.tableSize * x + y;
    var index = color === BLACK ? 0 : 1;

    this.sum ^= this.table[tableIndex][index];

    return this.sum;
  };

  Zobrist.prototype.getHash = function getHash() {
    return this.sum;
  };

  return Zobrist;
}();

export default Zobrist;