'use strict';

exports.__esModule = true;

var _util = require('./util');

var util = _interopRequireWildcard(_util);

var _constants = require('./constants');

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) newObj[key] = obj[key]; } } newObj.default = obj; return newObj; } }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

var Board = function () {
  function Board(boardSize) {
    _classCallCheck(this, Board);

    this.data = [];

    this.boardSize = boardSize;
    this.data = util.range(boardSize * boardSize).map(function () {
      return _constants.EMPTY;
    });
  }

  Board.prototype.clear = function clear() {
    this.data = this.data.map(function () {
      return _constants.EMPTY;
    });
  };

  Board.prototype.setStatus = function setStatus(x, y, status) {
    var boardIndex = this.boardSize * x + y;

    this.data = this.data.map(function (value, i) {
      return i === boardIndex ? status : value;
    });
  };

  Board.prototype.getStatus = function getStatus(x, y) {
    var boardIndex = this.boardSize * x + y;

    return this.data[boardIndex];
  };

  return Board;
}();

exports.default = Board;